diff -Nur SpiralSynth-2.0.0/configure.in SpiralSynth-2.0.0_new//configure.in
--- SpiralSynth-2.0.0/configure.in	2000-11-26 18:31:30.000000000 +0100
+++ SpiralSynth-2.0.0_new//configure.in	2012-10-11 22:36:55.616114113 +0200
@@ -1,11 +1,13 @@
 dnl Process this file with autoconf to produce a configure script.
-AC_INIT(GUI/OscillatorGUI.h)
+AC_INIT([SpiralSynth],[2.0.0],[richard@muse.demon.co.uk])
+AC_CONFIG_SRCDIR([GUI/OscillatorGUI.h])
 
 dnl Checks for programs.
 AC_PROG_CC
 AC_PROG_CPP
 
-AC_CHECK_LIB(fltk, Fl_Group)
+dnl AC_CHECK_LIB(fltk, Fl_Group)
+AC_CHECK_LIB(fltk, main)
 
 dnl Checks for header files.
 AC_HEADER_STDC
diff -Nur SpiralSynth-2.0.0/GUI/DelayGUI.C SpiralSynth-2.0.0_new//GUI/DelayGUI.C
--- SpiralSynth-2.0.0/GUI/DelayGUI.C	2002-06-03 03:09:07.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/DelayGUI.C	2012-10-11 22:20:16.564648809 +0200
@@ -21,10 +21,10 @@
 DelayGUI::DelayGUI(Delay *o)
 {
 	m_delay=o;
-	if (!m_delay) cerr<<"WARNING: Delay not correctly set up"<<endl;
+	if (!m_delay) std::cerr<<"WARNING: Delay not correctly set up"<<std::endl;
 }
 		
-void DelayGUI::CreateGUI(int xoff, int yoff, char *name)
+void DelayGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIDelayGroup = new Fl_Group(xoff, yoff, 85, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/DelayGUI.h SpiralSynth-2.0.0_new//GUI/DelayGUI.h
--- SpiralSynth-2.0.0/GUI/DelayGUI.h	2002-06-03 00:57:08.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/DelayGUI.h	2012-10-11 21:37:12.360858582 +0200
@@ -33,7 +33,7 @@
 public:
 	DelayGUI(Delay *o);
 	
-	virtual void CreateGUI(int xoff, int yoff, char *name);
+	virtual void CreateGUI(int xoff, int yoff, const char *name);
 	virtual void UpdateValues();
 	
 	Delay *m_delay;	
diff -Nur SpiralSynth-2.0.0/GUI/EnvelopeGUI.C SpiralSynth-2.0.0_new//GUI/EnvelopeGUI.C
--- SpiralSynth-2.0.0/GUI/EnvelopeGUI.C	2002-06-03 00:11:14.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/EnvelopeGUI.C	2012-10-11 22:18:34.634499313 +0200
@@ -23,10 +23,10 @@
 EnvelopeGUI::EnvelopeGUI(Envelope *o)
 {
 	m_env=o;
-	if (!m_env) cerr<<"WARNING: Envelope not correctly set up"<<endl;
+	if (!m_env) std::cerr<<"WARNING: Envelope not correctly set up"<<std::endl;
 }
 		
-void EnvelopeGUI::CreateGUI(int xoff, int yoff, char *name)
+void EnvelopeGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIEnvGroup = new Fl_Group(xoff, yoff, 120, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/EnvelopeGUI.h SpiralSynth-2.0.0_new//GUI/EnvelopeGUI.h
--- SpiralSynth-2.0.0/GUI/EnvelopeGUI.h	2002-06-03 00:14:35.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/EnvelopeGUI.h	2012-10-11 21:35:26.550703398 +0200
@@ -32,7 +32,7 @@
 public:
 	EnvelopeGUI(Envelope *o);
 	
-	virtual void CreateGUI(int xoff, int yoff, char *name);
+	virtual void CreateGUI(int xoff, int yoff, const char *name);
 	virtual void UpdateValues();
 
 	Envelope *m_env;	
diff -Nur SpiralSynth-2.0.0/GUI/FilterGUI.C SpiralSynth-2.0.0_new//GUI/FilterGUI.C
--- SpiralSynth-2.0.0/GUI/FilterGUI.C	2002-06-03 00:11:13.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/FilterGUI.C	2012-10-11 22:18:53.564527081 +0200
@@ -21,10 +21,10 @@
 FilterGUI::FilterGUI(Filter *o)
 {
 	m_filter=o;
-	if (!m_filter) cerr<<"WARNING: Filter not correctly set up"<<endl;
+	if (!m_filter) std::cerr<<"WARNING: Filter not correctly set up"<<std::endl;
 }
 		
-void FilterGUI::CreateGUI(int xoff, int yoff, char *name)
+void FilterGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIFilterGroup = new Fl_Group(xoff, yoff, 120, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/FilterGUI.h SpiralSynth-2.0.0_new//GUI/FilterGUI.h
--- SpiralSynth-2.0.0/GUI/FilterGUI.h	2002-06-03 00:14:39.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/FilterGUI.h	2012-10-11 21:36:00.280752863 +0200
@@ -34,7 +34,7 @@
 public:
 	FilterGUI(Filter *o);
 	
-	virtual void CreateGUI(int xoff, int yoff, char *name);	
+	virtual void CreateGUI(int xoff, int yoff, const char *name);	
 	virtual void UpdateValues();
 	void MidiCutoff(int amount);
 	
diff -Nur SpiralSynth-2.0.0/GUI/GUIBase.h SpiralSynth-2.0.0_new//GUI/GUIBase.h
--- SpiralSynth-2.0.0/GUI/GUIBase.h	2000-11-26 16:52:48.000000000 +0100
+++ SpiralSynth-2.0.0_new//GUI/GUIBase.h	2012-10-11 21:38:20.240958143 +0200
@@ -28,7 +28,7 @@
 	
 	// todo: these should be pure virtual funcs, to force 
 	// GUI's to instantiate them
-	virtual void CreateGUI(int xoff, int yoff, char *name) {} // =0;
+	virtual void CreateGUI(int xoff, int yoff, const char *name) {} // =0;
 	virtual void UpdateValues() {} // =0;
 
 	protected:
diff -Nur SpiralSynth-2.0.0/GUI/MixerGUI.C SpiralSynth-2.0.0_new//GUI/MixerGUI.C
--- SpiralSynth-2.0.0/GUI/MixerGUI.C	2002-06-04 13:47:02.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/MixerGUI.C	2012-10-11 22:19:52.904614104 +0200
@@ -21,10 +21,10 @@
 MixerGUI::MixerGUI(Mixer *o)
 {
 	m_mix=o;
-	if (!m_mix) cerr<<"WARNING: Mixer not correctly set up"<<endl;
+	if (!m_mix) std::cerr<<"WARNING: Mixer not correctly set up"<<std::endl;
 }
 		
-void MixerGUI::CreateGUI(int xoff=0, int yoff=0, char *name)
+void MixerGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIMixGroup = new Fl_Group(xoff, yoff, 100, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/MixerGUI.h SpiralSynth-2.0.0_new//GUI/MixerGUI.h
--- SpiralSynth-2.0.0/GUI/MixerGUI.h	2000-11-26 16:52:44.000000000 +0100
+++ SpiralSynth-2.0.0_new//GUI/MixerGUI.h	2012-10-11 21:36:39.980811093 +0200
@@ -33,7 +33,7 @@
 public:
 	MixerGUI(Mixer *o);
 	
-	virtual void CreateGUI(int xoff=0, int yoff=0, char *name="");	
+	virtual void CreateGUI(int xoff=0, int yoff=0, const char *name="");	
 	virtual void UpdateValues();
 	
 	Mixer *m_mix;	
diff -Nur SpiralSynth-2.0.0/GUI/OscillatorGUI.C SpiralSynth-2.0.0_new//GUI/OscillatorGUI.C
--- SpiralSynth-2.0.0/GUI/OscillatorGUI.C	2002-06-04 13:53:14.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/OscillatorGUI.C	2012-10-11 22:18:00.214448827 +0200
@@ -99,10 +99,10 @@
 pixmap_Saw(image_Saw)
 {
 	m_osc=o;
-	if (!m_osc) cerr<<"WARNING: Oscillator not correctly set up"<<endl;
+	if (!m_osc) std::cerr<<"WARNING: Oscillator not correctly set up"<<std::endl;
 }
 		
-void OscillatorGUI::CreateGUI(int xoff, int yoff, char *name)
+void OscillatorGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIOscGroup = new Fl_Group(xoff, yoff, 245, 110, name);
       o->type(1);
@@ -285,7 +285,7 @@
 {
 }
 
-void LFOGUI::CreateGUI(int xoff, int yoff, char *name)
+void LFOGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIOscGroup = new Fl_Group(xoff, yoff, 170, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/OscillatorGUI.h SpiralSynth-2.0.0_new//GUI/OscillatorGUI.h
--- SpiralSynth-2.0.0/GUI/OscillatorGUI.h	2002-06-03 00:14:26.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/OscillatorGUI.h	2012-10-11 21:44:25.561493960 +0200
@@ -36,7 +36,7 @@
 public:
 	OscillatorGUI(Oscillator *o);
 	
-	virtual void CreateGUI(int xoff=0, int yoff=0, char *name="");	
+	virtual void CreateGUI(int xoff=0, int yoff=0, const char *name="");	
 	virtual void UpdateValues();
 	
 	void MidiPitchBend(int amount);
@@ -87,7 +87,7 @@
 public:
 	LFOGUI(Oscillator *o);
 	
-	virtual void CreateGUI(int xoff=0, int yoff=0, char *name="");
+	virtual void CreateGUI(int xoff=0, int yoff=0, const char *name="");
 	virtual void UpdateValues();
 
 protected:
diff -Nur SpiralSynth-2.0.0/GUI/OutputGUI.C SpiralSynth-2.0.0_new//GUI/OutputGUI.C
--- SpiralSynth-2.0.0/GUI/OutputGUI.C	2002-06-02 23:36:16.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/OutputGUI.C	2012-10-11 22:22:28.954842984 +0200
@@ -18,15 +18,15 @@
 
 #include "OutputGUI.h"
 
-#include <FL/fl_file_chooser.h>
+#include <FL/fl_file_chooser.H>
 
 OutputGUI::OutputGUI(OSSOutput *o)
 {
 	m_out=o;
-	if (!m_out) cerr<<"WARNING: Output not correctly set up"<<endl;
+	if (!m_out) std::cerr<<"WARNING: Output not correctly set up"<<std::endl;
 }
 		
-void OutputGUI::CreateGUI(int xoff=0, int yoff=0, char *name)
+void OutputGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIMixGroup = new Fl_Group(xoff, yoff, 85, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/OutputGUI.h SpiralSynth-2.0.0_new//GUI/OutputGUI.h
--- SpiralSynth-2.0.0/GUI/OutputGUI.h	2002-06-02 13:16:03.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/OutputGUI.h	2012-10-11 21:39:02.621020300 +0200
@@ -34,7 +34,7 @@
 public:
 	OutputGUI(OSSOutput *o);
 	
-	virtual void CreateGUI(int xoff=0, int yoff=0, char *name="");	
+	virtual void CreateGUI(int xoff=0, int yoff=0, const char *name="");	
 	virtual void UpdateValues();
 
 	OSSOutput *m_out;	
diff -Nur SpiralSynth-2.0.0/GUI/PatchBankGUI.C SpiralSynth-2.0.0_new//GUI/PatchBankGUI.C
--- SpiralSynth-2.0.0/GUI/PatchBankGUI.C	2002-06-03 03:10:57.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/PatchBankGUI.C	2012-10-11 21:40:29.921148352 +0200
@@ -26,7 +26,7 @@
 		m_PatchList[n]=n;
 }
 		
-void PatchBankGUI::CreateGUI(int xoff, int yoff, char *name)
+void PatchBankGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIPatchBankGroup = new Fl_Group(xoff, yoff, 755, 40, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/PatchBankGUI.h SpiralSynth-2.0.0_new//GUI/PatchBankGUI.h
--- SpiralSynth-2.0.0/GUI/PatchBankGUI.h	2000-11-26 16:52:44.000000000 +0100
+++ SpiralSynth-2.0.0_new//GUI/PatchBankGUI.h	2012-10-11 21:40:40.961164534 +0200
@@ -35,7 +35,7 @@
 public:
 	PatchBankGUI();
 	
-	virtual void CreateGUI(int xoff, int yoff, char *name);
+	virtual void CreateGUI(int xoff, int yoff, const char *name);
 
 	// returns current patch no. if changed, -1 if it hasn't changed
 	// since it was last called.
diff -Nur SpiralSynth-2.0.0/GUI/RouteGUI.C SpiralSynth-2.0.0_new//GUI/RouteGUI.C
--- SpiralSynth-2.0.0/GUI/RouteGUI.C	2002-06-03 03:07:40.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/RouteGUI.C	2012-10-11 22:24:01.404978580 +0200
@@ -23,7 +23,7 @@
 {
 }
 		
-void RouteGUI::CreateGUI(int xoff, int yoff, char *name)
+void RouteGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	m_RoutingGroup = new Fl_Group(xoff, yoff, 170, 55, name);
     m_RoutingGroup->type(1);
@@ -80,13 +80,13 @@
 	m_Button=rand()%LAST+1;
 }
 
-istream &operator>>(istream &s, RouteGUI &o)
+std::istream &operator>>(std::istream &s, RouteGUI &o)
 {
 	s>>o.m_Button;
 	return s;
 }
 
-ostream &operator<<(ostream &s, RouteGUI &o)
+std::ostream &operator<<(std::ostream &s, RouteGUI &o)
 {
 	s<<o.m_Button<<" ";
 	return s;
diff -Nur SpiralSynth-2.0.0/GUI/RouteGUI.h SpiralSynth-2.0.0_new//GUI/RouteGUI.h
--- SpiralSynth-2.0.0/GUI/RouteGUI.h	2002-06-03 00:14:48.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/RouteGUI.h	2012-10-11 21:41:17.561218221 +0200
@@ -46,7 +46,7 @@
 
 	RouteGUI();
 	
-	virtual void CreateGUI(int xoff, int yoff, char *name);	
+	virtual void CreateGUI(int xoff, int yoff, const char *name);	
 	virtual void UpdateValues();
 	int GetOutput() {return m_Button;}
 	bool Query(ROUTE r) {return (r & m_Button);}
@@ -79,11 +79,11 @@
 	inline void cb_FilterR_i(Fl_Knob* o, void* v); 
 	static void cb_FilterR(Fl_Knob* o, void* v); 
 	
-	friend istream &operator>>(istream &s, RouteGUI &o);
-	friend ostream &operator<<(ostream &s, RouteGUI &o);
+	friend std::istream &operator>>(std::istream &s, RouteGUI &o);
+	friend std::ostream &operator<<(std::ostream &s, RouteGUI &o);
 };
 
-istream &operator>>(istream &s, RouteGUI &o);
-ostream &operator<<(ostream &s, RouteGUI &o);
+std::istream &operator>>(std::istream &s, RouteGUI &o);
+std::ostream &operator<<(std::ostream &s, RouteGUI &o);
 
 #endif
diff -Nur SpiralSynth-2.0.0/GUI/ScopeGUI.C SpiralSynth-2.0.0_new//GUI/ScopeGUI.C
--- SpiralSynth-2.0.0/GUI/ScopeGUI.C	2002-06-04 15:27:30.000000000 +0200
+++ SpiralSynth-2.0.0_new//GUI/ScopeGUI.C	2012-10-11 22:23:18.324915395 +0200
@@ -22,7 +22,7 @@
 
 #include <FL/fl_draw.H>
 
-ScopeWidget::ScopeWidget(int x,int y,int w,int h,const char *l=0) :
+ScopeWidget::ScopeWidget(int x,int y,int w,int h,const char *l) :
 Fl_Widget(x,y,w,h,l),
 m_Data(NULL)
 {
@@ -54,7 +54,7 @@
 	if (!m_Bypass) m_Scope->redraw();
 }
 		
-void ScopeGUI::CreateGUI(int xoff=0, int yoff=0, char *name)
+void ScopeGUI::CreateGUI(int xoff, int yoff, const char *name)
 {
 	 Fl_Group* o = GUIScopeGroup = new Fl_Group(xoff, yoff, 220, 110, name);
       o->type(1);
diff -Nur SpiralSynth-2.0.0/GUI/ScopeGUI.h SpiralSynth-2.0.0_new//GUI/ScopeGUI.h
--- SpiralSynth-2.0.0/GUI/ScopeGUI.h	2000-11-26 16:52:44.000000000 +0100
+++ SpiralSynth-2.0.0_new//GUI/ScopeGUI.h	2012-10-11 21:39:43.031079568 +0200
@@ -46,7 +46,7 @@
 public:
 	ScopeGUI();
 	
-	virtual void CreateGUI(int xoff=0, int yoff=0, char *name="");
+	virtual void CreateGUI(int xoff=0, int yoff=0, const char *name="");
 	void Display(short *data);
 
 private:
diff -Nur SpiralSynth-2.0.0/SpiralInfo.C SpiralSynth-2.0.0_new//SpiralInfo.C
--- SpiralSynth-2.0.0/SpiralInfo.C	2002-06-02 17:44:31.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralInfo.C	2012-10-11 22:05:44.273369428 +0200
@@ -16,13 +16,13 @@
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <stdlib.h>
 
 #include "SpiralSound/SpiralInfo.h"
 
-float RandFloat(float s=0.0f, float e=1.0f)
+float RandFloat(float s, float e)
 {
 	return s+((rand()%10000/10000.0)*(e-s));
 }
@@ -42,11 +42,11 @@
 float  SpiralInfo::MAXSAMPLE   = 1.0f;
 bool   SpiralInfo::WANTMIDI    = true;
 int    SpiralInfo::FILTERGRAN  = 50;
-string SpiralInfo::OUTPUTFILE  = "/dev/dsp";
-string SpiralInfo::MIDIFILE    = "/dev/midi";
+std::string SpiralInfo::OUTPUTFILE  = "/dev/dsp";
+std::string SpiralInfo::MIDIFILE    = "/dev/midi";
 int    SpiralInfo::POLY        = 2;
 bool   SpiralInfo::REALTIMEOUT = true;
-string SpiralInfo::KEYMAP("zsxdcvgbhnjmq2w3er5t6y7ui9o0p[");
+std::string SpiralInfo::KEYMAP("zsxdcvgbhnjmq2w3er5t6y7ui9o0p[");
 int    SpiralInfo::NKEYS       = 30;
 
 int SpiralInfo::GUI_COLOUR = 179;
@@ -66,12 +66,12 @@
 
 void SpiralInfo::LoadPrefs()
 {
-	string rcfn(m_HomeDir+"/.Spiralrc");
-	ifstream i(rcfn.c_str());
+	std::string rcfn(m_HomeDir+"/.Spiralrc");
+	std::ifstream i(rcfn.c_str());
 	
 	if (!i)
 	{
-		cerr<<".Spiralrc synth config file not found, creating default\n"<<endl;
+            std::cerr<<".Spiralrc synth config file not found, creating default\n"<<std::endl;
 		SavePrefs();
 		return;
 	}	
@@ -95,19 +95,19 @@
 
 void SpiralInfo::SavePrefs()
 {
-	string rcfn(m_HomeDir+"/.Spiralrc");
-	ofstream o(rcfn.c_str());
+	std::string rcfn(m_HomeDir+"/.Spiralrc");
+	std::ofstream o(rcfn.c_str());
 	
-	o<<"SpiralSynth resource file"<<endl<<endl;
-	o<<"BufferSize        = "<<BUFSIZE<<endl;	
-	o<<"FragSize          = "<<FRAGSIZE<<endl;
-	o<<"FragCount         = "<<FRAGCOUNT<<endl;
-	o<<"Samplerate        = "<<SAMPLERATE<<endl;
-	o<<"WantMidi          = "<<WANTMIDI<<endl;
-	o<<"FilterGranularity = "<<FILTERGRAN<<endl;
-	o<<"Output            = "<<OUTPUTFILE<<endl;
-	o<<"Midi              = "<<MIDIFILE<<endl;
-	o<<"WantRealtimeOut   = "<<REALTIMEOUT<<endl;
-	o<<"KeyMap            = "<<KEYMAP<<endl;
-	o<<"Polyphony         = "<<POLY<<endl;
+	o<<"SpiralSynth resource file"<<std::endl<<std::endl;
+	o<<"BufferSize        = "<<BUFSIZE<<std::endl;	
+	o<<"FragSize          = "<<FRAGSIZE<<std::endl;
+	o<<"FragCount         = "<<FRAGCOUNT<<std::endl;
+	o<<"Samplerate        = "<<SAMPLERATE<<std::endl;
+	o<<"WantMidi          = "<<WANTMIDI<<std::endl;
+	o<<"FilterGranularity = "<<FILTERGRAN<<std::endl;
+	o<<"Output            = "<<OUTPUTFILE<<std::endl;
+	o<<"Midi              = "<<MIDIFILE<<std::endl;
+	o<<"WantRealtimeOut   = "<<REALTIMEOUT<<std::endl;
+	o<<"KeyMap            = "<<KEYMAP<<std::endl;
+	o<<"Polyphony         = "<<POLY<<std::endl;
 }	
diff -Nur SpiralSynth-2.0.0/SpiralSound/Delay.C SpiralSynth-2.0.0_new//SpiralSound/Delay.C
--- SpiralSynth-2.0.0/SpiralSound/Delay.C	2002-06-11 23:53:38.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Delay.C	2012-10-11 22:08:00.543569295 +0200
@@ -57,13 +57,13 @@
 }
 
 
-istream &operator>>(istream &s, Delay &o)
+std::istream &operator>>(std::istream &s, Delay &o)
 {
 	s>>o.m_Delay>>o.m_Feedback;
 	return s;
 }
 
-ostream &operator<<(ostream &s, Delay &o)
+std::ostream &operator<<(std::ostream &s, Delay &o)
 {
 	s<<o.m_Delay<<" "<<o.m_Feedback<<" ";
 	return s;
diff -Nur SpiralSynth-2.0.0/SpiralSound/Delay.h SpiralSynth-2.0.0_new//SpiralSound/Delay.h
--- SpiralSynth-2.0.0/SpiralSound/Delay.h	2002-06-11 23:52:12.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Delay.h	2012-10-11 20:36:25.145509243 +0200
@@ -43,11 +43,11 @@
 	float  m_Delay;
 	float  m_Feedback;
 	
-	friend istream &operator>>(istream &s, Delay &o);
-	friend ostream &operator<<(ostream &s, Delay &o);
+	friend std::istream &operator>>(std::istream &s, Delay &o);
+	friend std::ostream &operator<<(std::ostream &s, Delay &o);
 };
 
-istream &operator>>(istream &s, Delay &o);
-ostream &operator<<(ostream &s, Delay &o);
+std::istream &operator>>(std::istream &s, Delay &o);
+std::ostream &operator<<(std::ostream &s, Delay &o);
 
 #endif
diff -Nur SpiralSynth-2.0.0/SpiralSound/Envelope.C SpiralSynth-2.0.0_new//SpiralSound/Envelope.C
--- SpiralSynth-2.0.0/SpiralSound/Envelope.C	2002-06-04 02:19:27.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Envelope.C	2012-10-11 22:08:27.123608279 +0200
@@ -145,13 +145,13 @@
 	m_Volume=RandFloat();
 }
 
-istream &operator>>(istream &s, Envelope &o)
+std::istream &operator>>(std::istream &s, Envelope &o)
 {
 	s>>o.m_Attack>>o.m_Decay>>o.m_Sustain>>o.m_Release>>o.m_Volume;
 	return s;
 }
 
-ostream &operator<<(ostream &s, Envelope &o)
+std::ostream &operator<<(std::ostream &s, Envelope &o)
 {
 	s<<o.m_Attack<<" "<<o.m_Decay<<" "<<o.m_Sustain<<" "<<o.m_Release<<" "<<o.m_Volume<<" ";
 	return s;
diff -Nur SpiralSynth-2.0.0/SpiralSound/Envelope.h SpiralSynth-2.0.0_new//SpiralSound/Envelope.h
--- SpiralSynth-2.0.0/SpiralSound/Envelope.h	2002-06-03 03:23:57.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Envelope.h	2012-10-11 20:35:35.925437054 +0200
@@ -64,11 +64,11 @@
 	float m_Volume;
 	double m_SampleTime;
 	
-	friend istream &operator>>(istream &s, Envelope &o);
-	friend ostream &operator<<(ostream &s, Envelope &o);
+	friend std::istream &operator>>(std::istream &s, Envelope &o);
+	friend std::ostream &operator<<(std::ostream &s, Envelope &o);
 };
 
-istream &operator>>(istream &s, Envelope &o);
-ostream &operator<<(ostream &s, Envelope &o);
+std::istream &operator>>(std::istream &s, Envelope &o);
+std::ostream &operator<<(std::ostream &s, Envelope &o);
 
 #endif
diff -Nur SpiralSynth-2.0.0/SpiralSound/Filter.C SpiralSynth-2.0.0_new//SpiralSound/Filter.C
--- SpiralSynth-2.0.0/SpiralSound/Filter.C	2002-06-02 17:45:04.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Filter.C	2012-10-11 22:06:48.303463341 +0200
@@ -162,13 +162,13 @@
 	m_RevResonanceMod=(RandFloat()>0.5f);
 }
 
-istream &operator>>(istream &s, Filter &o)
+std::istream &operator>>(std::istream &s, Filter &o)
 {
 	s>>o.fc>>o.Q>>o.m_RevCutoffMod>>o.m_RevResonanceMod;
 	return s;
 }
 
-ostream &operator<<(ostream &s, Filter &o)
+std::ostream &operator<<(std::ostream &s, Filter &o)
 {
 	s<<o.fc<<" "<<o.Q<<" "<<o.m_RevCutoffMod<<" "<<o.m_RevResonanceMod<<" ";
 	return s;
diff -Nur SpiralSynth-2.0.0/SpiralSound/Filter.h SpiralSynth-2.0.0_new//SpiralSound/Filter.h
--- SpiralSynth-2.0.0/SpiralSound/Filter.h	2002-06-02 16:00:56.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Filter.h	2012-10-11 20:37:09.105573727 +0200
@@ -69,11 +69,11 @@
 	Sample *m_CutoffModBuf;
 	Sample *m_ResonanceModBuf;
 	
-	friend istream &operator>>(istream &s, Filter &o);
-	friend ostream &operator<<(ostream &s, Filter &o);
+	friend std::istream &operator>>(std::istream &s, Filter &o);
+	friend std::ostream &operator<<(std::ostream &s, Filter &o);
 };
 
-istream &operator>>(istream &s, Filter &o);
-ostream &operator<<(ostream &s, Filter &o);
+std::istream &operator>>(std::istream &s, Filter &o);
+std::ostream &operator<<(std::ostream &s, Filter &o);
 
 #endif
diff -Nur SpiralSynth-2.0.0/SpiralSound/Midi.C SpiralSynth-2.0.0_new//SpiralSound/Midi.C
--- SpiralSynth-2.0.0/SpiralSound/Midi.C	2002-06-12 00:08:56.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Midi.C	2012-10-11 22:28:41.645389604 +0200
@@ -24,7 +24,7 @@
 #include "pthread.h"
 
 #ifdef KEYBOARD_SUPPORT
-#include <FL/Fl.h>
+#include <FL/Fl.H>
 #endif
 
 static const int MIDI_SCANBUFSIZE=256;
@@ -155,14 +155,14 @@
 	if (Event.GetType()==MidiEvent::ON)
 	{
 		message[0]=STATUS_NOTE_ON+Device;
-		write(m_MidiWrFd,message,3);
+		size_t result = write(m_MidiWrFd,message,3);
 		//cerr<<"sending "<<message<<endl;
 	}
 	
 	if (Event.GetType()==MidiEvent::OFF)
 	{
 		message[0]=STATUS_NOTE_OFF+Device;
-		write(m_MidiWrFd,message,3);	
+		size_t result = write(m_MidiWrFd,message,3);	
 		//cerr<<"sending "<<message<<endl;
 	}
 }
@@ -174,7 +174,7 @@
 void MidiDevice::ReadByte(unsigned char *c)
 {
 	*c=MIDI_CLOCK;
-	do read(m_MidiFd,c,1);				
+	do size_t result = read(m_MidiFd,c,1);				
 	while (*c>=STATUS_END);		
 }
 
diff -Nur SpiralSynth-2.0.0/SpiralSound/Mixer.C SpiralSynth-2.0.0_new//SpiralSound/Mixer.C
--- SpiralSynth-2.0.0/SpiralSound/Mixer.C	2002-06-02 21:03:24.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Mixer.C	2012-10-11 22:07:26.833519852 +0200
@@ -50,13 +50,13 @@
 	m_Amount=RandFloat(0.0f,0.002f);
 }
 
-istream &operator>>(istream &s, Mixer &o)
+std::istream &operator>>(std::istream &s, Mixer &o)
 {
 	s>>(int&)o.m_Type>>o.m_Amount;
 	return s;
 }
 
-ostream &operator<<(ostream &s, Mixer &o)
+std::ostream &operator<<(std::ostream &s, Mixer &o)
 {
 	s<<(int)o.m_Type<<" "<<o.m_Amount<<" ";
 	return s;
diff -Nur SpiralSynth-2.0.0/SpiralSound/Mixer.h SpiralSynth-2.0.0_new//SpiralSound/Mixer.h
--- SpiralSynth-2.0.0/SpiralSound/Mixer.h	2002-06-02 15:57:09.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Mixer.h	2012-10-11 20:36:46.775540973 +0200
@@ -45,11 +45,11 @@
 	Type  m_Type;
 	float m_Amount;
 	
-	friend istream &operator>>(istream &s, Mixer &o);
-	friend ostream &operator<<(ostream &s, Mixer &o);
+	friend std::istream &operator>>(std::istream &s, Mixer &o);
+	friend std::ostream &operator<<(std::ostream &s, Mixer &o);
 };
 
-istream &operator>>(istream &s, Mixer &o);
-ostream &operator<<(ostream &s, Mixer &o);
+std::istream &operator>>(std::istream &s, Mixer &o);
+std::ostream &operator<<(std::ostream &s, Mixer &o);
 
 #endif
diff -Nur SpiralSynth-2.0.0/SpiralSound/Oscillator.C SpiralSynth-2.0.0_new//SpiralSound/Oscillator.C
--- SpiralSynth-2.0.0/SpiralSound/Oscillator.C	2002-06-06 00:44:40.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Oscillator.C	2012-10-11 22:09:28.333698052 +0200
@@ -140,18 +140,18 @@
 	}
 }
 
-void Oscillator::StreamOut(ostream &s)
+void Oscillator::StreamOut(std::ostream &s)
 {
 	s<<1<<" "<<*this;
 }
 
-void Oscillator::StreamIn(istream &s)
+void Oscillator::StreamIn(std::istream &s)
 {
 	int version;
 	s>>version>>*this;
 }
 
-istream &operator>>(istream &s, Oscillator &o)
+std::istream &operator>>(std::istream &s, Oscillator &o)
 {
 	float dummy=0;
 	s>>(int&)o.m_Type>>o.m_Octave>>o.m_FineFreq>>o.m_PulseWidth>>dummy>>
@@ -159,7 +159,7 @@
 	return s;
 }
 
-ostream &operator<<(ostream &s, Oscillator &o)
+std::ostream &operator<<(std::ostream &s, Oscillator &o)
 {
 	float dummy=0;
 	s<<(int)o.m_Type<<" "<<o.m_Octave<<" "<<o.m_FineFreq<<" "<<o.m_PulseWidth<<" "<<
diff -Nur SpiralSynth-2.0.0/SpiralSound/Oscillator.h SpiralSynth-2.0.0_new//SpiralSound/Oscillator.h
--- SpiralSynth-2.0.0/SpiralSound/Oscillator.h	2002-06-06 00:44:57.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Oscillator.h	2012-10-11 20:34:36.495349887 +0200
@@ -32,8 +32,8 @@
 	virtual ~Oscillator();
 
 	void 		Execute(int V, Sample &data);
-	void	    StreamOut(ostream &s);
-	void	    StreamIn(istream &s);
+	void	    StreamOut(std::ostream &s);
+	void	    StreamIn(std::istream &s);
 	
 	enum Type{NONE,SQUARE,SAW,NOISE};
 	
@@ -79,11 +79,11 @@
 	
 	static const int FIXED;
 	
-	friend istream &operator>>(istream &s, Oscillator &o);
-	friend ostream &operator<<(ostream &s, Oscillator &o);
+	friend std::istream &operator>>(std::istream &s, Oscillator &o);
+	friend std::ostream &operator<<(std::ostream &s, Oscillator &o);
 };
 
-istream &operator>>(istream &s, Oscillator &o);
-ostream &operator<<(ostream &s, Oscillator &o);
+std::istream &operator>>(std::istream &s, Oscillator &o);
+std::ostream &operator<<(std::ostream &s, Oscillator &o);
 
 #endif
diff -Nur SpiralSynth-2.0.0/SpiralSound/Output.C SpiralSynth-2.0.0_new//SpiralSound/Output.C
--- SpiralSynth-2.0.0/SpiralSound/Output.C	2002-06-02 22:58:06.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Output.C	2012-10-11 22:12:11.593937512 +0200
@@ -124,7 +124,7 @@
     #endif	
     
 	if (m_OutputOk)
-		write(m_Dspfd,m_Buffer[BufferToSend],m_BufSizeBytes);
+            ssize_t result = write(m_Dspfd,m_Buffer[BufferToSend],m_BufSizeBytes);
 		
     if(m_Wav.Recording()) 
     {
@@ -159,7 +159,7 @@
     int BufferToRead=!m_ReadBufferNum;
 
 	if (m_OutputOk)
-		read(m_Dspfd,m_InBuffer[BufferToRead],m_BufSizeBytes);
+            ssize_t value = read(m_Dspfd,m_InBuffer[BufferToRead],m_BufSizeBytes);
 	
     #if __BYTE_ORDER == BIG_ENDIAN
     for (int n=0; n<SpiralInfo::BUFSIZE*m_Channels; n++)
@@ -176,7 +176,7 @@
 
 void OSSOutput::Close()
 { 	
-	cerr<<"Closing dsp output"<<endl;
+	std::cerr<<"Closing dsp output"<<std::endl;
 	close(m_Dspfd);
 }
 
@@ -185,7 +185,7 @@
 void OSSOutput::OpenWrite()
 { 	
 	int result,val;
-	cerr<<"Opening dsp output ["<<SpiralInfo::OUTPUTFILE.c_str()<<"]"<<endl;
+	std::cerr<<"Opening dsp output ["<<SpiralInfo::OUTPUTFILE.c_str()<<"]"<<std::endl;
   
 	m_Dspfd = open(SpiralInfo::OUTPUTFILE.c_str(),O_WRONLY);  
 	if(m_Dspfd<0) 
@@ -214,7 +214,7 @@
 
 	if (fgmtsize==0)
 	{
-		cerr<<"Fragment size ["<<SpiralInfo::FRAGSIZE<<"] must be power of two!"<<endl;
+		std::cerr<<"Fragment size ["<<SpiralInfo::FRAGSIZE<<"] must be power of two!"<<std::endl;
 		fgmtsize=256;
 	}
  	 	
@@ -247,7 +247,7 @@
 { 	
 	int result,val;
   
-	cerr<<"Opening dsp input ["<<SpiralInfo::OUTPUTFILE.c_str()<<"]"<<endl;
+	std::cerr<<"Opening dsp input ["<<SpiralInfo::OUTPUTFILE.c_str()<<"]"<<std::endl;
 
 	m_Dspfd = open(SpiralInfo::OUTPUTFILE.c_str(),O_RDONLY);  
 	if(m_Dspfd<0) 
@@ -278,7 +278,7 @@
 void OSSOutput::OpenReadWrite()
 { 	
 	int result,val;
-	cerr<<"Opening dsp output (duplex)"<<endl;
+	std::cerr<<"Opening dsp output (duplex)"<<std::endl;
   
 	m_Dspfd = open(SpiralInfo::OUTPUTFILE.c_str(),O_RDWR);  
 	if(m_Dspfd<0) 
@@ -307,7 +307,7 @@
 
 	if (fgmtsize==0)
 	{
-		cerr<<"Fragment size ["<<SpiralInfo::FRAGSIZE<<"] must be power of two!"<<endl;
+		std::cerr<<"Fragment size ["<<SpiralInfo::FRAGSIZE<<"] must be power of two!"<<std::endl;
 		fgmtsize=256;
 	}
  	 	
diff -Nur SpiralSynth-2.0.0/SpiralSound/RiffWav.C SpiralSynth-2.0.0_new//SpiralSound/RiffWav.C
--- SpiralSynth-2.0.0/SpiralSound/RiffWav.C	2002-06-02 12:28:18.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/RiffWav.C	2012-10-11 22:47:51.707076396 +0200
@@ -37,11 +37,11 @@
 #define SWAPINT(a) (a)=(((a)&0x000000ff)<<24)|(((a)&0x0000ff00)<<8)|(((a)&0x00ff0000)>>8)|(((a)&0xff000000)>>24)
 #endif
 
-int WavFile::Open(string FileName, Mode mode, Channels channels)
+int WavFile::Open(std::string FileName, Mode mode, Channels channels)
 {
 	if (m_Stream!=NULL) 
 	{
-		cerr<<"WavFile: File already open ["<<FileName<<"]"<<endl;
+		std::cerr<<"WavFile: File already open ["<<FileName<<"]"<<std::endl;
 		return 0;
 	}
 	
@@ -50,7 +50,7 @@
 	
 	if (m_Stream == (FILE*)0)
 	{
-		cerr<<"WavFile: File ["<<FileName<<"] does not exist"<<endl;
+		std::cerr<<"WavFile: File ["<<FileName<<"] does not exist"<<std::endl;
 		return 0;
 	}
 
@@ -112,18 +112,18 @@
 	else
 	if (mode==READ)
 	{
-		fread(&m_Header,sizeof(CanonicalWavHeader),1,m_Stream);
+		size_t result = fread(&m_Header,sizeof(CanonicalWavHeader),1,m_Stream);
 		
 		#ifdef TRACE_OUT		
-		cerr<<FileName<<endl;
-		cerr<<"RiffFileLength "<<m_Header.RiffFileLength<<endl;
-		cerr<<"FmtLength "<<m_Header.FmtLength<<endl;
-		cerr<<"FmtTag "<<m_Header.FmtTag<<endl;
-		cerr<<"FmtChannels "<<m_Header.FmtChannels<<endl;
-		cerr<<"FmtSamplerate "<<m_Header.FmtSamplerate<<endl;
-		cerr<<"FmtBytesPerSec "<<m_Header.FmtBytesPerSec<<endl;
-		cerr<<"FmtBlockAlign "<<m_Header.FmtBlockAlign<<endl;
-		cerr<<"FmtBitsPerSample "<<m_Header.FmtBitsPerSample<<endl;
+		std::cerr<<FileName<<std::endl;
+		std::cerr<<"RiffFileLength "<<m_Header.RiffFileLength<<std::endl;
+		std::cerr<<"FmtLength "<<m_Header.FmtLength<<std::endl;
+		std::cerr<<"FmtTag "<<m_Header.FmtTag<<std::endl;
+		std::cerr<<"FmtChannels "<<m_Header.FmtChannels<<std::endl;
+		std::cerr<<"FmtSamplerate "<<m_Header.FmtSamplerate<<std::endl;
+		std::cerr<<"FmtBytesPerSec "<<m_Header.FmtBytesPerSec<<std::endl;
+		std::cerr<<"FmtBlockAlign "<<m_Header.FmtBlockAlign<<std::endl;
+		std::cerr<<"FmtBitsPerSample "<<m_Header.FmtBitsPerSample<<std::endl;
 		#endif
 		
 		// skip the rest of the fmt header if necissary
@@ -132,7 +132,7 @@
 			fseek(m_Stream,m_Header.FmtLength-16,SEEK_CUR);
 		}
 		
-		fread(&m_DataHeader,sizeof(DataHeader),1,m_Stream);
+		result = fread(&m_DataHeader,sizeof(DataHeader),1,m_Stream);
 		
 		while (m_DataHeader.DataName[0]!='d' || 
 			   m_DataHeader.DataName[1]!='a' || 
@@ -143,20 +143,20 @@
 			// if we need to to try and get to the data header
 			if (feof(m_Stream) || fseek(m_Stream,-(sizeof(DataHeader)-1),SEEK_CUR)==-1)
 			{	
-				cerr<<"WavFile: File open error, wrong format ["<<FileName<<"]"<<endl;		
+				std::cerr<<"WavFile: File open error, wrong format ["<<FileName<<"]"<<std::endl;		
 				return 0;
 			}
 			
-			fread(&m_DataHeader,sizeof(DataHeader),1,m_Stream);
+			result = fread(&m_DataHeader,sizeof(DataHeader),1,m_Stream);
 		}
 		
 		fgetpos(m_Stream,(fpos_t*)&m_DataStart);
 		m_CurSeekPos=m_DataStart;
 		
 		#ifdef TRACE_OUT		
-		cerr<<m_DataHeader.DataName[0]<<m_DataHeader.DataName[1]<<
-		      m_DataHeader.DataName[2]<<m_DataHeader.DataName[3]<<endl;
-		cerr<<"DataLengthBytes "<<m_DataHeader.DataLengthBytes<<endl;
+		std::cerr<<m_DataHeader.DataName[0]<<m_DataHeader.DataName[1]<<
+		      m_DataHeader.DataName[2]<<m_DataHeader.DataName[3]<<std::endl;
+		std::cerr<<"DataLengthBytes "<<m_DataHeader.DataLengthBytes<<std::endl;
 		#endif	
 			
 		// check we have a wav file here
@@ -169,7 +169,7 @@
 		}
 		
 		fclose(m_Stream);
-		cerr<<"WavFile: File open error, wrong format ["<<FileName<<"]"<<endl;
+		std::cerr<<"WavFile: File open error, wrong format ["<<FileName<<"]"<<std::endl;
 		return 0;
 	}
 	return 0;
@@ -229,7 +229,7 @@
 {	
 	if (m_Header.FmtBitsPerSample!=8 && m_Header.FmtBitsPerSample!=16)
 	{
-		cerr<<"WavFile Warning: FmtBitsPerSample="<<m_Header.FmtBitsPerSample<<" (can't cope, treating as 16)"<<endl;
+		std::cerr<<"WavFile Warning: FmtBitsPerSample="<<m_Header.FmtBitsPerSample<<" (can't cope, treating as 16)"<<std::endl;
 		m_Header.FmtBitsPerSample=16;
 	}
 	
@@ -254,14 +254,14 @@
 	if (m_Header.FmtChannels>1) // mix the channels into a mono buffer 
 	{
 		#ifdef TRACE_OUT		
-		cerr<<"WavFile::Load - Channels = "<<m_Header.FmtChannels<<
-		" Mixing down to mono..."<<endl;
+		std::cerr<<"WavFile::Load - Channels = "<<m_Header.FmtChannels<<
+		" Mixing down to mono..."<<std::endl;
 		#endif
 		
 		short *TempBuf = new short[m_DataHeader.DataLengthBytes];
 		if (m_DataHeader.DataLengthBytes!=(int)fread(TempBuf,1,m_DataHeader.DataLengthBytes,m_Stream))
     	{
-    	    cerr<<"WavFile: Read error"<<endl;
+    	    std::cerr<<"WavFile: Read error"<<std::endl;
     		return 0; 
     	}
 		
@@ -288,7 +288,7 @@
 		int t=(int)fread(TempBuf,1,m_DataHeader.DataLengthBytes,m_Stream);
 		if (m_DataHeader.DataLengthBytes!=t)		
     	{
-    	    cerr<<"WavFile: Read error read "<<t<<" expected "<<m_DataHeader.DataLengthBytes<<endl;
+    	    std::cerr<<"WavFile: Read error read "<<t<<" expected "<<m_DataHeader.DataLengthBytes<<std::endl;
     		//return 0; 
     	}
 		
@@ -308,14 +308,14 @@
 	if (m_Header.FmtChannels>1) // mix the channels into a mono buffer 
 	{
 		#ifdef TRACE_OUT		
-		cerr<<"WavFile::Load - Channels = "<<m_Header.FmtChannels<<
-		" Mixing down to mono..."<<endl;
+		std::cerr<<"WavFile::Load - Channels = "<<m_Header.FmtChannels<<
+		" Mixing down to mono..."<<std::endl;
 		#endif
 		
 		short *TempBuf = new short[m_DataHeader.DataLengthBytes];
 		if (m_DataHeader.DataLengthBytes!=(int)fread(TempBuf,1,m_DataHeader.DataLengthBytes,m_Stream))
     	{
-    	    cerr<<"WavFile: Read error"<<endl;
+    	    std::cerr<<"WavFile: Read error"<<std::endl;
     		return 0; 
     	}
 		
@@ -344,7 +344,7 @@
     	    return 1;
     	}
 	
-    	cerr<<"WavFile: Read error"<<endl;
+    	std::cerr<<"WavFile: Read error"<<std::endl;
     	return 0;
 	}
 	
@@ -359,11 +359,11 @@
 	m_CurSeekPos=m_DataStart+Pos;
 	
 	#ifdef TRACE_OUT		
-	cerr<<"Seeking to "<<m_DataStart+Pos<<" "<<m_CurSeekPos<<endl;
+	std::cerr<<"Seeking to "<<m_DataStart+Pos<<" "<<m_CurSeekPos<<std::endl;
 	#endif
 	if (fseek(m_Stream, m_DataStart+Pos, SEEK_SET)!=0)
 	{
-		cerr<<"WavFile::SeekToChunk: Seek error"<<endl;
+		std::cerr<<"WavFile::SeekToChunk: Seek error"<<std::endl;
 	}
 	
 	return 1;
@@ -377,7 +377,7 @@
 		short *TempBuf = new short[NumSamples*2];
 		if (SizeBytes!=(int)fread(TempBuf,1,SizeBytes,m_Stream))
     	{
-    	    cerr<<"WavFile: Read chunk error"<<endl;
+    	    std::cerr<<"WavFile: Read chunk error"<<std::endl;
     		return 0; 
     	}
 		
@@ -399,7 +399,7 @@
     	    return 1;
     	}
 	
-    	cerr<<"WavFile: Read error"<<endl;
+    	std::cerr<<"WavFile: Read error"<<std::endl;
     	return 0;
 	}
 	
diff -Nur SpiralSynth-2.0.0/SpiralSound/RiffWav.h SpiralSynth-2.0.0_new//SpiralSound/RiffWav.h
--- SpiralSynth-2.0.0/SpiralSound/RiffWav.h	2002-06-02 12:28:19.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/RiffWav.h	2012-10-11 20:38:10.665664009 +0200
@@ -55,7 +55,7 @@
 	enum Mode{READ,WRITE};
 	enum Channels{MONO,STEREO};
 	
-	int  Open(string FileName, Mode mode, Channels channels=MONO);
+	int  Open(std::string FileName, Mode mode, Channels channels=MONO);
 	int  Close();
 	int  Save(Sample &data);
 	int  Load(Sample &data);
diff -Nur SpiralSynth-2.0.0/SpiralSound/Sample.h SpiralSynth-2.0.0_new//SpiralSound/Sample.h
--- SpiralSynth-2.0.0/SpiralSound/Sample.h	2002-06-02 12:28:26.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/Sample.h	2012-10-11 21:58:36.862742555 +0200
@@ -22,6 +22,7 @@
 #include <assert.h>
 #include <limits.h>
 #include <iostream>
+#include <cstring>
 #include "SpiralInfo.h"
 
 //#define DEBUG
@@ -66,7 +67,7 @@
 	void CropTo(int NewLength);
 	bool IsEmpty() const { return m_IsEmpty; }
 
-	inline float &Sample::operator[](int i) const
+	inline float& operator[](int i) const
 	{		
 		#ifdef DEBUG
 			assert(i>=0 && i<m_Length);
@@ -75,7 +76,7 @@
 	}
 
 	// Linear interpolated
-	inline float Sample::operator[](float i) const
+	inline float operator[](float i) const
 	{		
 		int ii=(int)i;
 		
@@ -89,7 +90,7 @@
 	}
 
 
-	inline void Sample::Set(int i, float v) 
+	inline void Set(int i, float v) 
 	{	
 		m_IsEmpty=false;
 		#ifdef DEBUG
@@ -98,7 +99,7 @@
 		m_Data[i]=v;
 	}	
 	
-	inline Sample &Sample::operator=(const Sample &rhs)
+	inline Sample& operator=(const Sample &rhs)
 	{
 		Allocate(rhs.GetLength());		
 		memcpy(m_Data,rhs.GetBuffer(),GetLengthInBytes());
diff -Nur SpiralSynth-2.0.0/SpiralSound/SpiralInfo.h SpiralSynth-2.0.0_new//SpiralSound/SpiralInfo.h
--- SpiralSynth-2.0.0/SpiralSound/SpiralInfo.h	2002-06-02 17:44:45.000000000 +0200
+++ SpiralSynth-2.0.0_new//SpiralSound/SpiralInfo.h	2012-10-11 20:32:06.385129729 +0200
@@ -16,7 +16,7 @@
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <stdlib.h>
 
@@ -30,6 +30,14 @@
 
 class SpiralInfo
 {
+protected:
+
+	SpiralInfo() : m_HomeDir(getenv("HOME")) {}
+	~SpiralInfo() {}
+	
+        std::string m_HomeDir;
+	
+	static SpiralInfo *m_SpiralInfo;
 public:
 
 	static SpiralInfo* Get();
@@ -43,26 +51,18 @@
 	static float  MAXSAMPLE;
 	static bool   WANTMIDI;
 	static int    FILTERGRAN;
-	static string OUTPUTFILE;
-	static string MIDIFILE;
+	static std::string OUTPUTFILE;
+	static std::string MIDIFILE;
 	static int    POLY;
 	static bool   REALTIMEOUT;
-	static string KEYMAP;
+	static std::string KEYMAP;
 	static int    NKEYS;
 
 	static int   GUI_COLOUR;
 	static int   GUIBG_COLOUR;		
 
-	string GetHomeDir() {return m_HomeDir;}
+	std::string GetHomeDir() {return m_HomeDir;}
 
-protected:
-
-	SpiralInfo() : m_HomeDir(getenv("HOME")) {}
-	~SpiralInfo() {}
-	
-	string m_HomeDir;
-	
-	static SpiralInfo *m_SpiralInfo;
 };
 
 #endif
diff -Nur SpiralSynth-2.0.0/Synth.C SpiralSynth-2.0.0_new//Synth.C
--- SpiralSynth-2.0.0/Synth.C	2002-06-12 00:09:42.000000000 +0200
+++ SpiralSynth-2.0.0_new//Synth.C	2012-10-11 21:31:16.470336605 +0200
@@ -21,7 +21,7 @@
 #include <FL/Fl.H>
 #include <FL/Enumerations.H>
 #include <fstream>
-#include <strstream>
+#include <sstream>
 #include <string>
 #include <time.h>
 #include <stdlib.h>
@@ -96,7 +96,7 @@
 	o->color(SpiralInfo::GUIBG_COLOUR);
  
 	// put part guis here
-	m_Osc1GUI.CreateGUI(0,0,"Osc1");
+	m_Osc1GUI.CreateGUI(0,0, "Osc1");
 	m_Osc2GUI.CreateGUI(0,110,"Osc2");
 	m_Osc3GUI.CreateGUI(0,220,"Osc3");
 	m_Env1GUI.CreateGUI(245,0,"Envelope1");
@@ -324,8 +324,8 @@
 
 void Synth::SavePatch(int n)
 {
-	char buf[1024];
-	ostrstream os(buf,1024,ios::out);
+        std::string buf = string(1024, ' ');
+	std::ostringstream os(buf,ios::out);
 	os<<*this<<"| ";
 	WritePatch(n,buf);	
 }
@@ -335,7 +335,7 @@
 	char buf[1024];
 	if (ReadPatch(n,buf))
 	{
-		istrstream is(buf);
+		istringstream is(buf);
 		is>>*this;
 	}
 }
@@ -375,7 +375,7 @@
 	return 1;
 }
 
-void Synth::WritePatch(int n, char *in)
+void Synth::WritePatch(int n, const string& in)
 {
 	// todo: get rid of this cheesy implementation
 	string Patchfn(SpiralInfo::Get()->GetHomeDir()+"/.SpiralPatches.bank");
@@ -428,7 +428,7 @@
 	}
 	
 	string command("mv -f "+Tempfn+" "+Patchfn);
-	system(command.c_str());
+	int result = system(command.c_str());
 }
 
 void Synth::Route()
diff -Nur SpiralSynth-2.0.0/Synth.h SpiralSynth-2.0.0_new//Synth.h
--- SpiralSynth-2.0.0/Synth.h	2002-06-04 14:13:19.000000000 +0200
+++ SpiralSynth-2.0.0_new//Synth.h	2012-10-11 21:28:48.560119661 +0200
@@ -23,7 +23,8 @@
 #include <FL/Fl_Window.H>
 #include <FL/Fl_Group.H>
 #include <FL/Fl_Button.H>
-#include <strstream>
+#include <iostream>
+#include <string>
 #include "GUI/OscillatorGUI.h"
 #include "GUI/EnvelopeGUI.h"
 #include "GUI/FilterGUI.h"
@@ -122,7 +123,8 @@
 	void SavePatch(int n);
 	void LoadPatch(int n);
 		
-	void WritePatch(int n, char *in);
+	//void WritePatch(int n, char *in);
+	void WritePatch(int n, const string& in);
 	int  ReadPatch(int n, char *out);
 	
 	void Randomise();
